Announcement

Collapse
No announcement yet.

Archived - Beta test MLAT software for Raspberry Pi

Collapse
This is a sticky topic.
X
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Originally posted by Oblivian View Post
    It only launches Dump1090 when using a DVB-T unit and DVB-T is defined.

    It's required as that's what initiates the USB device and tunes the right frequency to be able to receive from a DVB Stick.

    From my brief testing, Other feeder types connect to data feed directly like the old software on 30003. Status is usually 'connecting to x receiver' and no mention of Dump1090. Check it out yourself by dropping the 'service' command and change the feeder type a few times.

    I use it port 30002, as I run Mutability independently, and as far as I can tell it doesn't run Dump1090 a 2nd time, and I get MLAT statistics fine (when its enabled) and T-MLAT6 has it down as low as 400ft around here, and theres not that many Pi users in my area that I know of.
    Oh I know fr24feed works in "avr-tcp" mode and that it doesn't launch dump1090, but when the MLAT stuff was released it only worked when in dvb-t mode.. I guess I did drill down far enough in the changelog to see where that was fixed... And yes, I run mutability independently, but I didn't realise that public MLAT had been disabled at the server end... So all that needs fixing now is that error message....
    T-YBBN50 - Kallangur, QLD, Australia

    Comment


    • Originally posted by bhaal View Post
      Oh I know fr24feed works in "avr-tcp" mode and that it doesn't launch dump1090, but when the MLAT stuff was released it only worked when in dvb-t mode.. I guess I did drill down far enough in the changelog to see where that was fixed... And yes, I run mutability independently, but I didn't realise that public MLAT had been disabled at the server end... So all that needs fixing now is that error message....
      Can't find which thread it was buried in, But Vinny popped up about the release of 1.0.14-19+ can use other forks of Dump1090 other than the MR included which to me said it opened things up. As it was now able to recognise the generic raw --MLAT flag

      Had asked for definite conformation a few times and not had it thus far, but when its working (back end) it seems to connect fine and indicate both MLAT and ADSB contacts are being uploaded
      Posts not to be taken as official support representation - Just a helpful uploader who tinkers

      Comment


      • Ah, thar they are.


        Opened up to Non custom Dump1090
        http://forum.flightradar24.com/threa...ll=1#post69973

        Prior to that it mentioned it was disabled to all but DVBT.. which we can now select AVR and its enabled again?
        http://forum.flightradar24.com/threa...ll=1#post68771


        Some further info I'll add to my more info/FAQ thread
        http://forum.flightradar24.com/threa...ll=1#post68924
        Posts not to be taken as official support representation - Just a helpful uploader who tinkers

        Comment


        • Raspberry update error

          Hello together,

          i use an odroid with your raspberry script. That works many days long without problems. After last update the fr24feeder doesn-t update and i get an error code -1.

          Code:
           /var/cache/apt/archives/fr24feed_1.0.16-11_armhf.deb                                                                          
          E: Sub-process /usr/bin/dpkg returned an error code (1)
          How can i fix this?

          Comment


          • Anyone else notice that the latest 16-11 version disconnects and reconnects (with about 8 seconds delay) to feed server every 20 minutes? Didn't happen with 16-7 version.
            Or is that just me?

            Comment


            • Originally posted by Kemistry View Post
              Anyone else notice that the latest 16-11 version disconnects and reconnects (with about 8 seconds delay) to feed server every 20 minutes? Didn't happen with 16-7 version.
              Or is that just me?
              Probably the time bug were seeing. Run it in visual log mode to confirm. Restarts (or tries to) dump1090 when it drifts

              Sent from my XT1092 using Tapatalk
              Posts not to be taken as official support representation - Just a helpful uploader who tinkers

              Comment


              • Oh dear... Seems like a lot of YBBN feeders are offline due to the failed upgrades... I am guessing there was some black spots while I left my feeder offline (thinking it wouldn't be so long for a fix to come out) .. Anyway I downgraded to the last version I had in my apt archive and will leave that going till I see the new version come out with a fix for the ntp errors...
                T-YBBN50 - Kallangur, QLD, Australia

                Comment


                • The debian package via repository seems to be brocken.

                  Do you want to continue? [Y/n] y
                  (Datenbank wird gelesen … 192604 Dateien und Verzeichnisse sind derzeit installiert.)
                  Vorbereitung zum Entpacken von .../fr24feed_1.0.16-11_armhf.deb ...
                  * Stopping FR24 feeder fr24feed [ OK ]
                  fr24feed (1.0.16-11) über (1.0.16-7) wird entpackt …
                  update-rc.d: /etc/init.d/fr24feed exists during rc.d purge (use -f to force)
                  dpkg: Warnung: Unterprozess altes post-removal-Skript gab den Fehlerwert 1 zurück
                  dpkg: stattdessen wird Skript aus dem neuen Paket probiert ...
                  update-rc.d: /etc/init.d/fr24feed exists during rc.d purge (use -f to force)
                  dpkg: Fehler beim Bearbeiten des Archivs /var/cache/apt/archives/fr24feed_1.0.16-11_armhf.deb (--unpack):
                  Unterprozess neues post-removal-Skript gab den Fehlerwert 1 zurück
                  update-rc.d: /etc/init.d/fr24feed exists during rc.d purge (use -f to force)
                  dpkg: Fehler beim Aufräumen:
                  Unterprozess neues post-removal-Skript gab den Fehlerwert 1 zurück
                  Fehler traten auf beim Bearbeiten von:
                  /var/cache/apt/archives/fr24feed_1.0.16-11_armhf.deb
                  E: Sub-process /usr/bin/dpkg returned an error code (1)
                  If i try to uninstall i get an error that this package is brocken and i try to install it first... So i turn in circles. Would be fine if somebody has an answere. This is not on one receiver, my college has also this problem.

                  Comment


                  • Originally posted by Swen View Post
                    The debian package via repository seems to be brocken.



                    If i try to uninstall i get an error that this package is brocken and i try to install it first... So i turn in circles. Would be fine if somebody has an answere. This is not on one receiver, my college has also this problem.
                    Try and force manual

                    sudo /usr/lib/fr24/fr24feed_updater.sh

                    (as per someone elses tip may need to make executable)
                    sudo chmod +x /usr/lib/fr24/fr24feed_updater.sh
                    Posts not to be taken as official support representation - Just a helpful uploader who tinkers

                    Comment


                    • Installed version:
                      Latest available:
                      Latest version is already installed
                      Thats seems to be ok but after upgrade i get this old message above again.

                      Comment


                      • What message? If it said its running latest it should start if not be running already fine.
                        Posts not to be taken as official support representation - Just a helpful uploader who tinkers

                        Comment


                        • My first post message if i try to upgrade i get this error again:

                          Do you want to continue? [Y/n] y
                          (Datenbank wird gelesen … 192604 Dateien und Verzeichnisse sind derzeit installiert.)
                          Vorbereitung zum Entpacken von .../fr24feed_1.0.16-11_armhf.deb ...
                          * Stopping FR24 feeder fr24feed
                          Killing all children processes
                          [ OK ]
                          fr24feed (1.0.16-11) über (1.0.16-7) wird entpackt …
                          update-rc.d: /etc/init.d/fr24feed exists during rc.d purge (use -f to force)
                          dpkg: Warnung: Unterprozess altes post-removal-Skript gab den Fehlerwert 1 zurück
                          dpkg: stattdessen wird Skript aus dem neuen Paket probiert ...
                          update-rc.d: /etc/init.d/fr24feed exists during rc.d purge (use -f to force)
                          dpkg: Fehler beim Bearbeiten des Archivs /var/cache/apt/archives/fr24feed_1.0.16-11_armhf.deb (--unpack):
                          Unterprozess neues post-removal-Skript gab den Fehlerwert 1 zurück
                          update-rc.d: /etc/init.d/fr24feed exists during rc.d purge (use -f to force)
                          dpkg: Fehler beim Aufräumen:
                          Unterprozess neues post-removal-Skript gab den Fehlerwert 1 zurück
                          Fehler traten auf beim Bearbeiten von:
                          /var/cache/apt/archives/fr24feed_1.0.16-11_armhf.deb
                          E: Sub-process /usr/bin/dpkg returned an error code (1)
                          With: sudo apt-get upgrade

                          Comment


                          • It doesn't look to have access. Are you using SUDO for past installs and running?

                            Just copy your sharing key etc and remove/reinstall.

                            sudo apt-get remove fr24feed
                            sudo bash -c "$(wget -O - http://repo.feed.flightradar24.com/install_fr24_rpi.sh)"
                            Posts not to be taken as official support representation - Just a helpful uploader who tinkers

                            Comment


                            • Can't reinstall thats exactly the problem. I tried everything to remove fr24 and reinstall what i know on commands, but i can't remove fr24 package.

                              sudo apt-get remove fr24feed
                              [sudo] password for odroid:
                              Reading package lists... Done
                              Building dependency tree
                              Reading state information... Done
                              The following packages will be REMOVED:
                              fr24feed
                              0 upgraded, 0 newly installed, 1 to remove and 1 not upgraded.
                              2 not fully installed or removed.
                              After this operation, 563 kB disk space will be freed.
                              Do you want to continue? [Y/n] y
                              dpkg: error processing package fr24feed (--remove):
                              package is in a very bad inconsistent state; you should
                              reinstall it before attempting a removal
                              Errors were encountered while processing:
                              fr24feed
                              E: Sub-process /usr/bin/dpkg returned an error code (1)
                              The only thing i do what i do two days ago is that i try to upgrade it. Yes i do it via sudo.
                              Last edited by Swen; 2016-01-30, 11:07.

                              Comment


                              • Google tells me you can force it with sudo dpkg --remove --force-remove-reinstreq fr24feed
                                Posts not to be taken as official support representation - Just a helpful uploader who tinkers

                                Comment

                                Working...
                                X